curl --request POST \
--url https://services.leadconnectorhq.com/products/inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"items": [
{
"priceId": "5e9f8f8f8f8f8f8f8f8f8f8",
"availableQuantity": 10,
"allowOutOfStockPurchases": false,
"trackInventory": false
}
]
}
'{
"status": true,
"message": "Successfully created"
}The Update Inventory API allows the user to bulk update the inventory for multiple items. Use this endpoint to update the available quantity and out-of-stock purchase settings for multiple items in the inventory.
curl --request POST \
--url https://services.leadconnectorhq.com/products/inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"items": [
{
"priceId": "5e9f8f8f8f8f8f8f8f8f8f8",
"availableQuantity": 10,
"allowOutOfStockPurchases": false,
"trackInventory": false
}
]
}
'{
"status": true,
"message": "Successfully created"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Was this page helpful?